cryptonite-0.9: Cryptography Primitives sink

License | BSD-style
Stability | experimental
Portability | ???
Safe Haskell | None
Language | Haskell2010

Crypto.Cipher.TripleDES

Description

Synopsis

- data DES_EEE3
- data DES_EDE3
- data DES_EEE2
- data DES_EDE2

# Documentation

data DES_EEE3

3DES with 3 different keys used all in the same direction

Instances

Eq DES_EEE3 |
Cipher DES_EEE3 |
BlockCipher DES_EEE3 |

data DES_EDE3

3DES with 3 different keys used in alternative direction

Instances

Eq DES_EDE3 |
Cipher DES_EDE3 |
BlockCipher DES_EDE3 |

data DES_EEE2

3DES where the first and third keys are equal, used in the same direction

Instances

Eq DES_EEE2 |
Cipher DES_EEE2 |
BlockCipher DES_EEE2 |

data DES_EDE2

3DES where the first and third keys are equal, used in alternative direction

Instances

Eq DES_EDE2 |
Cipher DES_EDE2 |
BlockCipher DES_EDE2 |